<?php 
function cTpl_015_pc_red_theme_options_init() {
	if ( false === cTpl_015_pc_red_get_theme_options() )
		add_option( 'cTpl_015_pc_red_theme_options', cTpl_015_pc_red_get_default_theme_options() );

	register_setting(
		'cTpl_015_pc_red_options',
		'cTpl_015_pc_red_theme_options',
		'cTpl_015_pc_red_theme_options_validate'
	);
}
add_action( 'admin_init', 'cTpl_015_pc_red_theme_options_init' );

function cTpl_015_pc_red_option_page_capability( $capability ) {
	return 'edit_theme_options';
}
add_filter( 'option_page_capability_cTpl_015_pc_red_options', 'cTpl_015_pc_red_option_page_capability' );

function cTpl_015_pc_red_theme_options_add_page() {
	$theme_page = add_theme_page(
		'テーマ設定',
		'テーマ設定',
		'edit_theme_options',
		'theme_options',
		'cTpl_015_pc_red_theme_options_render_page'
	);

	if ( ! $theme_page )
		return;
}
add_action( 'admin_menu', 'cTpl_015_pc_red_theme_options_add_page' );


function cTpl_015_pc_red_get_default_theme_options() {
	$default_theme_options = array(
		'logo' => 'logo.png',
	);
}

function cTpl_015_pc_red_get_theme_options() {
	return get_option( 'cTpl_015_pc_red_theme_options', cTpl_015_pc_red_get_default_theme_options() );
}

get_template_part('inc/theme-options-edit');


/*	ヘッダー ロゴ
/*---------------------------------------------------------*/
function cTpl_015_pc_red_print_Logo() {
	$options = cTpl_015_pc_red_get_theme_options();
	$logo = $options['logo'];
	if ($logo) {
		print '<img src="'.$logo.'" alt="'.get_bloginfo('name').'">';
	} else {
		echo bloginfo('name');
	}
}

	
/*	ヘッダー 住所
/*---------------------------------------------------------*/
function cTpl_015_pc_red_print_contactInfo() {
	$options = cTpl_015_pc_red_get_theme_options();
	$contactAddress = $options['contactAddress'];
		if ($contactAddress) {
			print '<p>'.$contactAddress.'</p>'."\n";
		}
}


/*	メイン画像リンク先
/*---------------------------------------------------------*/
function cTpl_015_pc_red_print_mainImgLink() {
	$options = cTpl_015_pc_red_get_theme_options();
	$mainImgLink = $options['mainImgLink'];
		if ($mainImgLink) {
			print '<a href="'.$mainImgLink.'">';
		}
}

function cTpl_015_pc_red_print_mainImgLinkClose() {
	$options = cTpl_015_pc_red_get_theme_options();
	$mainImgLink = $options['mainImgLink'];
		if ($mainImgLink) {
			print '</a>';
		}
}


/*	サイドバー バナー
/*-------------------------------------------*/
function cTpl_015_pc_red_sidebarBanner()	{
	$options = cTpl_015_pc_red_get_theme_options();
	
	$banner1Img = $options['banner1Img'];
	$banner2Img = $options['banner2Img'];
	$banner3Img = $options['banner3Img'];
	$banner1Name = $options['banner1Name'];
	$banner2Name = $options['banner2Name'];
	$banner3Name = $options['banner3Name'];
	$banner1Link = $options['banner1Link'];
	$banner2Link = $options['banner2Link'];
	$banner3Link = $options['banner3Link'];

	if ($banner1Img || $banner2Img || $banner3Img) {?>
  <div id="banners">
  <?php }
	if ($banner1Img) {?>
  <p class="banner">
	<?php if ($banner1Link):?>
  <a href="<?php echo $banner1Link; ?>"><img src="<?php echo $banner1Img; ?>" alt="<?php echo $banner1Name; ?>" /></a>
	<?php else: ?>
  <img src="<?php echo $banner1Img; ?>" alt="<?php echo $banner1Name; ?>" />
  <?php endif;?>
	</p>
<?php }

	if ($banner2Img) {?>
  <p class="banner">
	<?php if ($banner2Link):?>
  <a href="<?php echo $banner2Link; ?>"><img src="<?php echo $banner2Img; ?>" alt="<?php echo $banner2Name; ?>" /></a>
	<?php else: ?>
  <img src="<?php echo $banner2Img; ?>" alt="<?php echo $banner2Name; ?>" />
  <?php endif;?>
	</p>
<?php }

if ($banner3Img) {?>
  <p class="banner">
	<?php if ($banner3Link):?>
  <a href="<?php echo $banner3Link; ?>"><img src="<?php echo $banner3Img; ?>" alt="<?php echo $banner3Name; ?>" /></a>
	<?php else: ?>
  <img src="<?php echo $banner3Img; ?>" alt="<?php echo $banner3Name; ?>" />
  <?php endif;?>
	</p>
<?php }

	if ($banner1Img || $banner2Img || $banner3Img){?>
  </div>
  <?php }

}